ApiHiveReplicationError (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHiveReplicationError

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationError

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHiveReplicationError
      extends Object

  A Hive replication error.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveReplicationError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveReplicationError` | `database(String database)`
    `boolean` | `equals(Object o)`
    `ApiHiveReplicationError` | `error(String error)`
    `String` | `getDatabase()` Name of the database.
    `String` | `getError()` Description of the error.
    `String` | `getHiveUDF()` Hive UDF signature, includes the UDF name and parameter types.
    `String` | `getImpalaUDF()` UDF signature, includes the UDF name and parameter types.
    `String` | `getTableName()` Name of the table.
    `int` | `hashCode()`
    `ApiHiveReplicationError` | `hiveUDF(String hiveUDF)`
    `ApiHiveReplicationError` | `impalaUDF(String impalaUDF)`
    `void` | `setDatabase(String database)`
    `void` | `setError(String error)`
    `void` | `setHiveUDF(String hiveUDF)`
    `void` | `setImpalaUDF(String impalaUDF)`
    `void` | `setTableName(String tableName)`
    `ApiHiveReplicationError` | `tableName(String tableName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveReplicationError

          public ApiHiveReplicationError()

  - ### Method Detail

    - #### database

          public ApiHiveReplicationError database(String database)

    - #### getDatabase

          public String getDatabase()

      Name of the database.
      Returns:
        database

    - #### setDatabase

          public void setDatabase(String database)

    - #### tableName

          public ApiHiveReplicationError tableName(String tableName)

    - #### getTableName

          public String getTableName()

      Name of the table.
      Returns:
        tableName

    - #### setTableName

          public void setTableName(String tableName)

    - #### impalaUDF

          public ApiHiveReplicationError impalaUDF(String impalaUDF)

    - #### getImpalaUDF

          public String getImpalaUDF()

      UDF signature, includes the UDF name and parameter types.
      Returns:
        impalaUDF

    - #### setImpalaUDF

          public void setImpalaUDF(String impalaUDF)

    - #### hiveUDF

          public ApiHiveReplicationError hiveUDF(String hiveUDF)

    - #### getHiveUDF

          public String getHiveUDF()

      Hive UDF signature, includes the UDF name and parameter types.
      Returns:
        hiveUDF

    - #### setHiveUDF

          public void setHiveUDF(String hiveUDF)

    - #### error

          public ApiHiveReplicationError error(String error)

    - #### getError

          public String getError()

      Description of the error.
      Returns:
        error

    - #### setError

          public void setError(String error)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.